Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.adapters.cas
Class CasPasswordHandler

    java.lang.Object
      org.acegisecurity.adapters.cas.CasPasswordHandler

All Implemented Interfaces:
  InitializingBean

    public final class CasPasswordHandler

extends Object
implements InitializingBean

Provides actual CAS authentication by delegation to an `AuthenticationManager`.

Do not use this class directly. Instead configure CAS to use the `CasPasswordHandlerProxy`.

Version:
  $Id: CasPasswordHandler.java,v 1.2 2005/11/17 00:56:28 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`CasPasswordHandler()`

Method Summary
`void` | `afterPropertiesSet()`
`boolean` | `authenticate(javax.servlet.ServletRequest servletRequest, String username, String password)` Called by `CasPasswordHandlerProxy` for individual authentication requests.
`org.acegisecurity.AuthenticationManager` | `getAuthenticationManager()`
`void` | `setAuthenticationManager(org.acegisecurity.AuthenticationManager authenticationManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CasPasswordHandler

    public CasPasswordHandler()

Method Detail

### setAuthenticationManager

    public void setAuthenticationManager(org.acegisecurity.AuthenticationManager authenticationManager)

### getAuthenticationManager

    public org.acegisecurity.AuthenticationManager getAuthenticationManager()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### authenticate

    public boolean authenticate(javax.servlet.ServletRequest servletRequest,
                                String username,
                                String password)

  Called by `CasPasswordHandlerProxy` for individual authentication requests.

  Delegates to the configured `AuthenticationManager`.

  Parameters:
    `servletRequest` - as provided by CAS
    `username` - provided to CAS
    `password` - provided to CAS
  Returns:
    whether authentication was successful or not

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.